{ inputs, ... }:
{
  perSystem =
    { self', pkgs, ... }:
    {
      packages = {
        ci = pkgs.writeShellScriptBin "ci" ''
          ${self'.packages.toolchain}/bin/cargo check
          ${self'.packages.toolchain}/bin/cargo fmt --check
          ${self'.packages.toolchain}/bin/cargo clippy -- -D clippy::all
          ${pkgs.cocogitto}/bin/cog check
        '';
      };
    };
}
